#### Description:

This function returns a flag indicating if a named parameter exists in a Table, for instance, by having been added to to the Table using astAddParameter.

#### Synopsis

int astHasParameter( AstTable ∗this, const char ∗parameter )

#### Parameters:

##### this

Pointer to the Table.

##### parameter

The character string holding the upper case name of the parameter. Trailing spaces are ignored.

#### Notes:

- A value of zero is returned for if an error occurs.

Copyright (C) 2021 East Asian Observatory